.loading-spinner-blocking-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.2s;
  z-index: 10000;
}

.loading-spinner-not-blocking-container {
  display: flex;
  position: fixed;
  top: 10px;
  right: 10px;
  width: 190px;
  height: 50px;
  padding: 0px var(--small-gap);
  align-items: center;
  gap: var(--small-gap);
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.2);
  border-radius: 3px;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.2s;
  z-index: 10000;
}

.loading-spinner-transition {
  visibility: visible;
  opacity: 1;
}

.spinner {
  width: 25vmin;
  height: 25vmin;
}

.spinner.small {
  width: 35px;
  height: 35px;
}

.loading-text {
  flex: 1;
  font-weight: normal;
  color: var(--grey-06);
}
